> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member Points

> Gets all active and pending (excluding expired) member points along with the points breakdown.



## OpenAPI

````yaml member get /v1/inquire/{profileId}/member-points
openapi: 3.0.1
info:
  title: Loyalty (Member)
  description: >-
    fabric **Loyalty** formerly **Member** is a Loyalty Management System (LMS)
    that enables marketers to create multiple loyalty strategies under a loyalty
    program to cater to various businesses and customer segments. <br />
    **Member overview**: <br /> During onboarding, you are given the necessary
    **credentials** (client_id and client_secret) to obtain an access token,
    which is required to run every call. Membership hierarchy is organized into
    Programs, Clubs, and Tiers. <br /> **Program** is the first hierarchy level
    and is where rewards and benefits are configured for the organization. <br
    /> **Club** is the second hierarchy level and is where Rules for the program
    are configured. <br />Each Club must have at least one **Tier**, which is
    used to define membership and to configure criteria and thresholds
    (including free vs paid). Additional hierarchy levels can be added to
    support the needs of your business.  <br /> Members are always enrolled into
    a **Default Tier** within a club. When members make purchases, they earn
    Points based on the rules set at the club level and/or based on promotions.
    When points in a member account reach a predefined **Threshold Value**,
    points are converted to **Rewards**. This conversion may be manual or
    automatic depending on the program configuration. Members can **Redeem**
    their rewards within the reward **Expiry Period**. Account point balances
    are updated after each point-impacting activity.
  version: 1.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc
servers:
  - url: https://vanilla-dev02-loyalty.fabric.zone/api
    description: For developers to work outside of the production environment.
  - url: https://vanilla-stg-loyalty.fabric.zone/api
    description: Replica of the production environment for testing.
  - url: https://loyalty-sbx.fabric.zone/api
    description: >-
      An isolated testing environment (UAT) to run programs without affecting
      the application, system or platform on which they run.
  - url: https://loyalty.fabric.zone/api
    description: Production environment.
security:
  - bearerAuth: []
paths:
  /v1/inquire/{profileId}/member-points:
    get:
      tags:
        - Inquire
      summary: Get Member Points
      description: >-
        Gets all active and pending (excluding expired) member points along with
        the points breakdown.
      operationId: member-points_read
      parameters:
        - name: profileId
          description: >-
            Profile ID. It is generated in the response of the `Enroll Member`
            endpoint - POST /v1/members.
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchMemberPointsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass1'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass2'
components:
  schemas:
    FetchMemberPointsResponse:
      type: object
      description: Response of the `Get Member Points` endpoint
      properties:
        status:
          title: Status
          description: Status of the call
          type: integer
          example: 200
          format: int32
        message:
          title: Message
          description: Message corresponding to the call
          example: ''
          type: string
          default: Exception message
        errors:
          title: Errors
          description: Error details, if applicable
          type: object
          properties: {}
          example: {}
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/FetchMemberPointsResponseData'
    GenericResponseClass1:
      type: object
      description: Bad request
      properties:
        message:
          title: Message
          minLength: 1
          type: string
          description: Message corresponding to the call.
          example: Error message string
        errors:
          title: Errors
          type: object
          properties: {}
          description: A dictionary of lists with different number of errors or exceptions.
          example:
            ExceptionString:
              - Invalid Field
        data:
          title: Data
          type: object
          properties: {}
          description: Returns data in the form of a list of dictionaries or null
          example: null
        status:
          title: Status
          type: integer
          description: Status code of the call
          example: 400
          format: int32
    GenericResponseClass2:
      type: object
      description: Unauthorized
      properties:
        detail:
          title: Detail
          type: string
          description: Message corresponding to the response
          example: Authentication Failed
    FetchMemberPointsResponseData:
      type: object
      properties:
        totalPoints:
          title: Totalpoints
          type: number
          format: integer
          description: >-
            Total number of active and pending points (excluding the expired
            points).
          example: 300
        pointsByType:
          type: array
          items:
            $ref: '#/components/schemas/PointsbyType'
        pointsBalance:
          $ref: '#/components/schemas/PointBalance'
        breakdown:
          $ref: '#/components/schemas/PointsBreakdown'
    PointsbyType:
      type: object
      properties:
        pointType:
          title: Pointtype
          minLength: 1
          type: string
          description: >-
            Point type. Categorized as: <br /> 1) Base points: Earned in any
            purchase transaction  based on the core rule. <br /> 2) Bonus
            points: Earned as a bonus for example on a large purchase. <br /> 3)
            Promotional Points: Earned as part of promotional events. <br /> 4)
            Restricted Points: Points to be used only on specific entity or
            stores.
          example: Base
        points:
          title: Points
          type: number
          format: integer
          description: Total number of points
          example: 300
        subType:
          title: Subtype
          type: string
          description: Subtypes of the points (configurable, if required)
          example: null
          nullable: true
    PointBalance:
      type: object
      properties:
        memberPointsEarned:
          title: Memberpointsearned
          type: number
          format: integer
          description: Total points earned by member
          example: 600
          nullable: true
        memberPointsDeducted:
          title: Memberpointsdeducted
          type: number
          format: integer
          description: Total points deducted for member
          example: 100
          nullable: true
        memberPointsUsed:
          title: Memberpointsused
          type: number
          format: integer
          description: Total points redeemed (burned) by member
          example: 100
          nullable: true
        memberPointsExpired:
          title: Memberpointsexpired
          type: number
          format: integer
          description: Total points that have expired for the member
          example: 100
          nullable: true
        memberPointsAvailable:
          title: Memberpointsavailable
          type: number
          format: integer
          description: Total points available for use by the member
          example: 300
          nullable: true
        memberPointsLocked:
          title: Memberpointslocked
          type: number
          format: integer
          description: >-
            Restricted points that can be used only at a specific entity or
            store
          example: 100
          nullable: true
    PointsBreakdown:
      type: object
      properties:
        totalPoints:
          title: Totalpoints
          type: number
          format: integer
          description: Total number of available points
          example: 300
          nullable: true
        totalCurrencyValue:
          title: Totalcurrencyvalue
          type: number
          format: float
          description: Monetary value of total points
          example: 150
          nullable: true
        unrestrictedPoints:
          $ref: '#/components/schemas/UnRestrictedPoints'
          description: Details of unrestricted available points.
        restrictedPoints:
          $ref: '#/components/schemas/RestrictedPoints'
          description: Details of restricted available points.
    UnRestrictedPoints:
      required:
        - totalCurrencyValue
        - totalpoints
      type: object
      properties:
        totalPoints:
          title: Totalpoints
          type: number
          format: integer
          description: Total number of unrestricted points (Base + Bonus + Promotional).
          example: 200
        totalCurrencyValue:
          title: Totalcurrencyvalue
          type: number
          format: float
          description: Monetary value of the unrestricted points.
          example: 100
        unrestrictedPointsItems:
          type: array
          items:
            $ref: '#/components/schemas/UnrestrictedPointsItems'
    RestrictedPoints:
      required:
        - restrictedPointsItems
        - totalCurrencyValue
        - totalPoints
      type: object
      properties:
        totalPoints:
          title: Totalpoints
          type: number
          format: integer
          description: >-
            Total number of restricted points that can be used only at a
            specific entity or store.
          example: 100
        totalCurrencyValue:
          title: Totalcurrencyvalue
          type: number
          format: float
          description: Monetary value of restricted points
          example: 50
        restrictedPointsItems:
          type: array
          items:
            $ref: '#/components/schemas/RestrictedPointsItems'
    UnrestrictedPointsItems:
      required:
        - points
      type: object
      properties:
        points:
          title: Points
          type: number
          format: integer
          description: Unrestricted points of this particular point-type
          example: 200
        pointType:
          title: Pointtype
          minLength: 1
          type: string
          description: >-
            Type of points. Categorized as: <br /> 1) Base points - Earned in
            any purchase transaction, based on the core rule. <br /> 2) Bonus
            points - Earned as a bonus for example on a large purchase. <br />
            3) Promotional Points - Earned as part of promotional events.
          example: Base
          nullable: true
    RestrictedPointsItems:
      required:
        - points
      type: object
      properties:
        points:
          title: Points
          type: number
          format: integer
          description: Restricted points that can be used at this location or store
          example: 100
        pointType:
          title: Pointtype
          minLength: 1
          type: string
          description: Entity or store-specific (restricted) point type.
          example: Base
          nullable: true
        restrictedLocation:
          title: Restrictedlocation
          minLength: 1
          type: string
          description: >-
            ID of the entity or store where the restricted points can be
            redeemed
          example: '4321'
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````